<article class="sign-up-container">
  <section class="sign-up-content">
    <section class="sign-up-title">
      <label class="df-text">Sign up</label>
    </section>

    <form class="sign-up-form" #childForm="ngForm" (ngSubmit)="submit(childForm)">
      <section class="sign-up-form-data">
        <input class="sign-up-input" placeholder="First Name"
               type="text" name="firstName" required
               [(ngModel)]="user.firstName" #firstName="ngModel">

        <p class = "df-text-bold sign-up-error" [hidden]="firstName.valid">
          *required
        </p>

        <input class="sign-up-input" placeholder="Last Name"
               type="text" name="lastName" required
               [(ngModel)]="user.lastName" #lastName="ngModel">


        <p class = "df-text-bold sign-up-error" [hidden]="lastName.valid">
          *required
        </p>

        <input class="sign-up-submit" type="submit"
        [disabled]="!childForm.valid">

      </section>
    </form>
  </section>
</article>
